import { useState } from "react"
import { Row, Modal, notification } from "antd"
import HeaderXbox from "../components/Header/Header"
import '../styles/app.scss'
import UserForm from "../components/UI/UserForm"
import { FieldTypeUser } from "../interfaces/userForm"

const App = () => {
  const [isUser, setIsUser] = useState<boolean>(localStorage.getItem('username') ? true : false)
  const [open, setOpen] = useState<boolean>(false)

  const onClickHandler = (key: string) => {
    // if(key === 'login') {
    //   setOpen(true)
    // } else {
    //   localStorage.clear()
    //   setIsUser(false)
    // }

    notification.error({
      message: 'ERROR ALERT',
      duration: 2,
      description: 'dadasdasdasdasdasdasdasdasdasdad'
    })
  }

  const onFinishHandler = (values: FieldTypeUser) => {
    localStorage.setItem('username', values.username)
    localStorage.setItem('password', values.password)
    setIsUser(true)
  }

  return (
    <Row className="App">
      <Modal
        title="Login"
        open={open}
        onCancel={() => setOpen(false)}
      >
        <UserForm onFinish={onFinishHandler}/>
      </Modal>

      <HeaderXbox
        isUser={isUser}
        onClick={onClickHandler}
      />
    </Row>
  )
}

export default App